R8TOHDF(1)

NAME
r8tohdf - convert 8-bit raster images to HDF format

SYNOPSIS

r8tohdf [number-of-rows number-of-columns] output-filename [-p palette-filename] [-c] [-r] [-i] raw-raster-image-filename-1, raw-raster-image-filename-2, ...

DESCRIPTION
r8tohdf converts a set of raw raster images to the HDF RIS8 format and writes them to a file.

OPTIONS

-p pallette-file
    Specify the name of the palette file.

-c  Run length coding. Compress the output data using run-length encoding.

-i  IMCOMP Compression. Compress the output data using the IMCOMP method.

-r  No Compression. Apply no compression to the output data. (the default).

EXAMPLES
A file named "rawras" contains a 256 x 512-byte raw raster image, and its palette is stored in a file name "mypal". To convert the information in these files to an RIS8 without compression and store the RIS8 in a file named "ras.hdf", enter the following r8tohdf command:
  r8tohdf 256 512 ras.hdf -p mypal rawras
A 800 x 1000-byte raw raster image is stored in a file named "bigpic". This data must be converted to a RIS8 without a palette, compressing it using run-length encoding, then stored in a file named "bigpic.hdf". The following command will do this:
  r8tohdf 800 1000 bigpic.hdf -c bigpic
A 300 x 400 raw raster image is contained in each of the files named "pic1", "pic2", and "pic3". To convert all three files to RIS8s, compress them using the IMCOMP method, and store them in a file named "pic.hdf", enter
  r8tohdf 300 400 pic.hdf -i pic1 pic2 pic3
Different types of raster image data are to be stored in a file named "ras.hdf". The image data in the file "rawras1" will be stored without a palette. The image data sets from the file named "rawras2" are to be stored with a palette extracted from a file named "mypal". The images from the "rawras1" and "rawras2" files are to be compressed using run-length encoding, and the image in the "rawras3" file is not to be compressed. The size of all images are 256 x 512 bytes. The following command is used to do this:
  r8tohdf 256 512 ras.hdf -c rawras1 -p mypal rawras2 -r rawras3

SEE ALSO
hdftor8(1), hdf(5)